Package de.gebit.integrity.dsl

## Interface DslFactory

- All Superinterfaces:
    `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `DslFactoryImpl`

      public interface DslFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `DslPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DslFactory` | `eINSTANCE` | The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ArbitraryParameterOrResultName` | `createArbitraryParameterOrResultName()` | Returns a new object of class 'Arbitrary Parameter Or Result Name'.
    `BooleanValue` | `createBooleanValue()` | Returns a new object of class 'Boolean Value'.
    `Call` | `createCall()` | Returns a new object of class 'Call'.
    `CallDefinition` | `createCallDefinition()` | Returns a new object of class 'Call Definition'.
    `Constant` | `createConstant()` | Returns a new object of class 'Constant'.
    `ConstantDefinition` | `createConstantDefinition()` | Returns a new object of class 'Constant Definition'.
    `ConstantEntity` | `createConstantEntity()` | Returns a new object of class 'Constant Entity'.
    `ConstantValue` | `createConstantValue()` | Returns a new object of class 'Constant Value'.
    `CustomOperation` | `createCustomOperation()` | Returns a new object of class 'Custom Operation'.
    `DateAndTimeValue` | `createDateAndTimeValue()` | Returns a new object of class 'Date And Time Value'.
    `DateValue` | `createDateValue()` | Returns a new object of class 'Date Value'.
    `DecimalValue` | `createDecimalValue()` | Returns a new object of class 'Decimal Value'.
    `DocumentationComment` | `createDocumentationComment()` | Returns a new object of class 'Documentation Comment'.
    `Empty` | `createEmpty()` | Returns a new object of class 'Empty'.
    `EmptyValue` | `createEmptyValue()` | Returns a new object of class 'Empty Value'.
    `EnumValue` | `createEnumValue()` | Returns a new object of class 'Enum Value'.
    `EuropeanDateAnd12HrsTimeValue` | `createEuropeanDateAnd12HrsTimeValue()` | Returns a new object of class 'European Date And12 Hrs Time Value'.
    `EuropeanDateAnd24HrsTimeValue` | `createEuropeanDateAnd24HrsTimeValue()` | Returns a new object of class 'European Date And24 Hrs Time Value'.
    `EuropeanDateValue` | `createEuropeanDateValue()` | Returns a new object of class 'European Date Value'.
    `ExecutionMultiplier` | `createExecutionMultiplier()` | Returns a new object of class 'Execution Multiplier'.
    `FixedParameterName` | `createFixedParameterName()` | Returns a new object of class 'Fixed Parameter Name'.
    `FixedResultName` | `createFixedResultName()` | Returns a new object of class 'Fixed Result Name'.
    `ForkDefinition` | `createForkDefinition()` | Returns a new object of class 'Fork Definition'.
    `ForkParameter` | `createForkParameter()` | Returns a new object of class 'Fork Parameter'.
    `Import` | `createImport()` | Returns a new object of class 'Import'.
    `Inexistent` | `createInexistent()` | Returns a new object of class 'Inexistent'.
    `InexistentValue` | `createInexistentValue()` | Returns a new object of class 'Inexistent Value'.
    `IntegerValue` | `createIntegerValue()` | Returns a new object of class 'Integer Value'.
    `IsoDateAndTimeValue` | `createIsoDateAndTimeValue()` | Returns a new object of class 'Iso Date And Time Value'.
    `IsoDateValue` | `createIsoDateValue()` | Returns a new object of class 'Iso Date Value'.
    `IsoTimeValue` | `createIsoTimeValue()` | Returns a new object of class 'Iso Time Value'.
    `JavaClassReference` | `createJavaClassReference()` | Returns a new object of class 'Java Class Reference'.
    `JavaConstantReference` | `createJavaConstantReference()` | Returns a new object of class 'Java Constant Reference'.
    `JavaConstantValue` | `createJavaConstantValue()` | Returns a new object of class 'Java Constant Value'.
    `KeyValuePair` | `createKeyValuePair()` | Returns a new object of class 'Key Value Pair'.
    `MethodReference` | `createMethodReference()` | Returns a new object of class 'Method Reference'.
    `Model` | `createModel()` | Returns a new object of class 'Model'.
    `NamedCallResult` | `createNamedCallResult()` | Returns a new object of class 'Named Call Result'.
    `NamedResult` | `createNamedResult()` | Returns a new object of class 'Named Result'.
    `NestedObject` | `createNestedObject()` | Returns a new object of class 'Nested Object'.
    `Null` | `createNull()` | Returns a new object of class 'Null'.
    `NullValue` | `createNullValue()` | Returns a new object of class 'Null Value'.
    `Operation` | `createOperation()` | Returns a new object of class 'Operation'.
    `OperationDefinition` | `createOperationDefinition()` | Returns a new object of class 'Operation Definition'.
    `PackageDefinition` | `createPackageDefinition()` | Returns a new object of class 'Package Definition'.
    `PackageStatement` | `createPackageStatement()` | Returns a new object of class 'Package Statement'.
    `Parameter` | `createParameter()` | Returns a new object of class 'Parameter'.
    `ParameterName` | `createParameterName()` | Returns a new object of class 'Parameter Name'.
    `ParameterTableHeader` | `createParameterTableHeader()` | Returns a new object of class 'Parameter Table Header'.
    `ParameterTableValue` | `createParameterTableValue()` | Returns a new object of class 'Parameter Table Value'.
    `RegexValue` | `createRegexValue()` | Returns a new object of class 'Regex Value'.
    `ResultName` | `createResultName()` | Returns a new object of class 'Result Name'.
    `ResultTableHeader` | `createResultTableHeader()` | Returns a new object of class 'Result Table Header'.
    `Simple12HrsTimeValue` | `createSimple12HrsTimeValue()` | Returns a new object of class 'Simple12 Hrs Time Value'.
    `Simple24HrsTimeValue` | `createSimple24HrsTimeValue()` | Returns a new object of class 'Simple24 Hrs Time Value'.
    `StandardOperation` | `createStandardOperation()` | Returns a new object of class 'Standard Operation'.
    `Statement` | `createStatement()` | Returns a new object of class 'Statement'.
    `StaticValue` | `createStaticValue()` | Returns a new object of class 'Static Value'.
    `StringValue` | `createStringValue()` | Returns a new object of class 'String Value'.
    `Suite` | `createSuite()` | Returns a new object of class 'Suite'.
    `SuiteDefinition` | `createSuiteDefinition()` | Returns a new object of class 'Suite Definition'.
    `SuiteParameter` | `createSuiteParameter()` | Returns a new object of class 'Suite Parameter'.
    `SuiteParameterDefinition` | `createSuiteParameterDefinition()` | Returns a new object of class 'Suite Parameter Definition'.
    `SuiteReturn` | `createSuiteReturn()` | Returns a new object of class 'Suite Return'.
    `SuiteReturnDefinition` | `createSuiteReturnDefinition()` | Returns a new object of class 'Suite Return Definition'.
    `SuiteStatement` | `createSuiteStatement()` | Returns a new object of class 'Suite Statement'.
    `SuiteStatementWithResult` | `createSuiteStatementWithResult()` | Returns a new object of class 'Suite Statement With Result'.
    `TableTest` | `createTableTest()` | Returns a new object of class 'Table Test'.
    `TableTestRow` | `createTableTestRow()` | Returns a new object of class 'Table Test Row'.
    `Test` | `createTest()` | Returns a new object of class 'Test'.
    `TestDefinition` | `createTestDefinition()` | Returns a new object of class 'Test Definition'.
    `TimeDifference` | `createTimeDifference()` | Returns a new object of class 'Time Difference'.
    `TimeProgressionFactor` | `createTimeProgressionFactor()` | Returns a new object of class 'Time Progression Factor'.
    `TimeSet` | `createTimeSet()` | Returns a new object of class 'Time Set'.
    `TimeValue` | `createTimeValue()` | Returns a new object of class 'Time Value'.
    `TypedNestedObject` | `createTypedNestedObject()` | Returns a new object of class 'Typed Nested Object'.
    `USDateAnd12HrsTimeValue` | `createUSDateAnd12HrsTimeValue()` | Returns a new object of class 'US Date And12 Hrs Time Value'.
    `USDateValue` | `createUSDateValue()` | Returns a new object of class 'US Date Value'.
    `Value` | `createValue()` | Returns a new object of class 'Value'.
    `ValueOrEnumValueOrOperation` | `createValueOrEnumValueOrOperation()` | Returns a new object of class 'Value Or Enum Value Or Operation'.
    `ValueOrEnumValueOrOperationCollection` | `createValueOrEnumValueOrOperationCollection()` | Returns a new object of class 'Value Or Enum Value Or Operation Collection'.
    `Variable` | `createVariable()` | Returns a new object of class 'Variable'.
    `VariableAssignment` | `createVariableAssignment()` | Returns a new object of class 'Variable Assignment'.
    `VariableDefinition` | `createVariableDefinition()` | Returns a new object of class 'Variable Definition'.
    `VariableEntity` | `createVariableEntity()` | Returns a new object of class 'Variable Entity'.
    `VariableOrConstantEntity` | `createVariableOrConstantEntity()` | Returns a new object of class 'Variable Or Constant Entity'.
    `VariableVariable` | `createVariableVariable()` | Returns a new object of class 'Variable Variable'.
    `VariantDefinition` | `createVariantDefinition()` | Returns a new object of class 'Variant Definition'.
    `VariantValue` | `createVariantValue()` | Returns a new object of class 'Variant Value'.
    `VisibleComment` | `createVisibleComment()` | Returns a new object of class 'Visible Comment'.
    `VisibleDivider` | `createVisibleDivider()` | Returns a new object of class 'Visible Divider'.
    `VisibleMultiLineComment` | `createVisibleMultiLineComment()` | Returns a new object of class 'Visible Multi Line Comment'.
    `VisibleMultiLineNormalComment` | `createVisibleMultiLineNormalComment()` | Returns a new object of class 'Visible Multi Line Normal Comment'.
    `VisibleMultiLineTitleComment` | `createVisibleMultiLineTitleComment()` | Returns a new object of class 'Visible Multi Line Title Comment'.
    `VisibleSingleLineComment` | `createVisibleSingleLineComment()` | Returns a new object of class 'Visible Single Line Comment'.
    `VisibleSingleLineNormalComment` | `createVisibleSingleLineNormalComment()` | Returns a new object of class 'Visible Single Line Normal Comment'.
    `VisibleSingleLineTitleComment` | `createVisibleSingleLineTitleComment()` | Returns a new object of class 'Visible Single Line Title Comment'.
    `DslPackage` | `getDslPackage()` | Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final DslFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createModel

          Model createModel()

      Returns a new object of class 'Model'.
      Returns:
        a new object of class 'Model'.

    - #### createStatement

          Statement createStatement()

      Returns a new object of class 'Statement'.
      Returns:
        a new object of class 'Statement'.

    - #### createVisibleComment

          VisibleComment createVisibleComment()

      Returns a new object of class 'Visible Comment'.
      Returns:
        a new object of class 'Visible Comment'.

    - #### createVisibleSingleLineComment

          VisibleSingleLineComment createVisibleSingleLineComment()

      Returns a new object of class 'Visible Single Line Comment'.
      Returns:
        a new object of class 'Visible Single Line Comment'.

    - #### createVisibleSingleLineNormalComment

          VisibleSingleLineNormalComment createVisibleSingleLineNormalComment()

      Returns a new object of class 'Visible Single Line Normal Comment'.
      Returns:
        a new object of class 'Visible Single Line Normal Comment'.

    - #### createVisibleSingleLineTitleComment

          VisibleSingleLineTitleComment createVisibleSingleLineTitleComment()

      Returns a new object of class 'Visible Single Line Title Comment'.
      Returns:
        a new object of class 'Visible Single Line Title Comment'.

    - #### createVisibleMultiLineComment

          VisibleMultiLineComment createVisibleMultiLineComment()

      Returns a new object of class 'Visible Multi Line Comment'.
      Returns:
        a new object of class 'Visible Multi Line Comment'.

    - #### createVisibleMultiLineNormalComment

          VisibleMultiLineNormalComment createVisibleMultiLineNormalComment()

      Returns a new object of class 'Visible Multi Line Normal Comment'.
      Returns:
        a new object of class 'Visible Multi Line Normal Comment'.

    - #### createVisibleMultiLineTitleComment

          VisibleMultiLineTitleComment createVisibleMultiLineTitleComment()

      Returns a new object of class 'Visible Multi Line Title Comment'.
      Returns:
        a new object of class 'Visible Multi Line Title Comment'.

    - #### createVisibleDivider

          VisibleDivider createVisibleDivider()

      Returns a new object of class 'Visible Divider'.
      Returns:
        a new object of class 'Visible Divider'.

    - #### createPackageDefinition

          PackageDefinition createPackageDefinition()

      Returns a new object of class 'Package Definition'.
      Returns:
        a new object of class 'Package Definition'.

    - #### createPackageStatement

          PackageStatement createPackageStatement()

      Returns a new object of class 'Package Statement'.
      Returns:
        a new object of class 'Package Statement'.

    - #### createImport

          Import createImport()

      Returns a new object of class 'Import'.
      Returns:
        a new object of class 'Import'.

    - #### createForkDefinition

          ForkDefinition createForkDefinition()

      Returns a new object of class 'Fork Definition'.
      Returns:
        a new object of class 'Fork Definition'.

    - #### createForkParameter

          ForkParameter createForkParameter()

      Returns a new object of class 'Fork Parameter'.
      Returns:
        a new object of class 'Fork Parameter'.

    - #### createVariantDefinition

          VariantDefinition createVariantDefinition()

      Returns a new object of class 'Variant Definition'.
      Returns:
        a new object of class 'Variant Definition'.

    - #### createTestDefinition

          TestDefinition createTestDefinition()

      Returns a new object of class 'Test Definition'.
      Returns:
        a new object of class 'Test Definition'.

    - #### createCallDefinition

          CallDefinition createCallDefinition()

      Returns a new object of class 'Call Definition'.
      Returns:
        a new object of class 'Call Definition'.

    - #### createSuiteDefinition

          SuiteDefinition createSuiteDefinition()

      Returns a new object of class 'Suite Definition'.
      Returns:
        a new object of class 'Suite Definition'.

    - #### createSuiteParameterDefinition

          SuiteParameterDefinition createSuiteParameterDefinition()

      Returns a new object of class 'Suite Parameter Definition'.
      Returns:
        a new object of class 'Suite Parameter Definition'.

    - #### createSuiteReturnDefinition

          SuiteReturnDefinition createSuiteReturnDefinition()

      Returns a new object of class 'Suite Return Definition'.
      Returns:
        a new object of class 'Suite Return Definition'.

    - #### createOperationDefinition

          OperationDefinition createOperationDefinition()

      Returns a new object of class 'Operation Definition'.
      Returns:
        a new object of class 'Operation Definition'.

    - #### createSuiteStatement

          SuiteStatement createSuiteStatement()

      Returns a new object of class 'Suite Statement'.
      Returns:
        a new object of class 'Suite Statement'.

    - #### createSuiteStatementWithResult

          SuiteStatementWithResult createSuiteStatementWithResult()

      Returns a new object of class 'Suite Statement With Result'.
      Returns:
        a new object of class 'Suite Statement With Result'.

    - #### createVariableDefinition

          VariableDefinition createVariableDefinition()

      Returns a new object of class 'Variable Definition'.
      Returns:
        a new object of class 'Variable Definition'.

    - #### createConstantDefinition

          ConstantDefinition createConstantDefinition()

      Returns a new object of class 'Constant Definition'.
      Returns:
        a new object of class 'Constant Definition'.

    - #### createVariableAssignment

          VariableAssignment createVariableAssignment()

      Returns a new object of class 'Variable Assignment'.
      Returns:
        a new object of class 'Variable Assignment'.

    - #### createVariantValue

          VariantValue createVariantValue()

      Returns a new object of class 'Variant Value'.
      Returns:
        a new object of class 'Variant Value'.

    - #### createVariableEntity

          VariableEntity createVariableEntity()

      Returns a new object of class 'Variable Entity'.
      Returns:
        a new object of class 'Variable Entity'.

    - #### createConstantEntity

          ConstantEntity createConstantEntity()

      Returns a new object of class 'Constant Entity'.
      Returns:
        a new object of class 'Constant Entity'.

    - #### createVariableOrConstantEntity

          VariableOrConstantEntity createVariableOrConstantEntity()

      Returns a new object of class 'Variable Or Constant Entity'.
      Returns:
        a new object of class 'Variable Or Constant Entity'.

    - #### createTest

          Test createTest()

      Returns a new object of class 'Test'.
      Returns:
        a new object of class 'Test'.

    - #### createTableTest

          TableTest createTableTest()

      Returns a new object of class 'Table Test'.
      Returns:
        a new object of class 'Table Test'.

    - #### createTableTestRow

          TableTestRow createTableTestRow()

      Returns a new object of class 'Table Test Row'.
      Returns:
        a new object of class 'Table Test Row'.

    - #### createParameterTableHeader

          ParameterTableHeader createParameterTableHeader()

      Returns a new object of class 'Parameter Table Header'.
      Returns:
        a new object of class 'Parameter Table Header'.

    - #### createResultTableHeader

          ResultTableHeader createResultTableHeader()

      Returns a new object of class 'Result Table Header'.
      Returns:
        a new object of class 'Result Table Header'.

    - #### createParameterTableValue

          ParameterTableValue createParameterTableValue()

      Returns a new object of class 'Parameter Table Value'.
      Returns:
        a new object of class 'Parameter Table Value'.

    - #### createNamedResult

          NamedResult createNamedResult()

      Returns a new object of class 'Named Result'.
      Returns:
        a new object of class 'Named Result'.

    - #### createResultName

          ResultName createResultName()

      Returns a new object of class 'Result Name'.
      Returns:
        a new object of class 'Result Name'.

    - #### createFixedResultName

          FixedResultName createFixedResultName()

      Returns a new object of class 'Fixed Result Name'.
      Returns:
        a new object of class 'Fixed Result Name'.

    - #### createCall

          Call createCall()

      Returns a new object of class 'Call'.
      Returns:
        a new object of class 'Call'.

    - #### createNamedCallResult

          NamedCallResult createNamedCallResult()

      Returns a new object of class 'Named Call Result'.
      Returns:
        a new object of class 'Named Call Result'.

    - #### createTimeSet

          TimeSet createTimeSet()

      Returns a new object of class 'Time Set'.
      Returns:
        a new object of class 'Time Set'.

    - #### createTimeProgressionFactor

          TimeProgressionFactor createTimeProgressionFactor()

      Returns a new object of class 'Time Progression Factor'.
      Returns:
        a new object of class 'Time Progression Factor'.

    - #### createTimeDifference

          TimeDifference createTimeDifference()

      Returns a new object of class 'Time Difference'.
      Returns:
        a new object of class 'Time Difference'.

    - #### createSuite

          Suite createSuite()

      Returns a new object of class 'Suite'.
      Returns:
        a new object of class 'Suite'.

    - #### createSuiteParameter

          SuiteParameter createSuiteParameter()

      Returns a new object of class 'Suite Parameter'.
      Returns:
        a new object of class 'Suite Parameter'.

    - #### createSuiteReturn

          SuiteReturn createSuiteReturn()

      Returns a new object of class 'Suite Return'.
      Returns:
        a new object of class 'Suite Return'.

    - #### createParameter

          Parameter createParameter()

      Returns a new object of class 'Parameter'.
      Returns:
        a new object of class 'Parameter'.

    - #### createParameterName

          ParameterName createParameterName()

      Returns a new object of class 'Parameter Name'.
      Returns:
        a new object of class 'Parameter Name'.

    - #### createFixedParameterName

          FixedParameterName createFixedParameterName()

      Returns a new object of class 'Fixed Parameter Name'.
      Returns:
        a new object of class 'Fixed Parameter Name'.

    - #### createArbitraryParameterOrResultName

          ArbitraryParameterOrResultName createArbitraryParameterOrResultName()

      Returns a new object of class 'Arbitrary Parameter Or Result Name'.
      Returns:
        a new object of class 'Arbitrary Parameter Or Result Name'.

    - #### createOperation

          Operation createOperation()

      Returns a new object of class 'Operation'.
      Returns:
        a new object of class 'Operation'.

    - #### createStandardOperation

          StandardOperation createStandardOperation()

      Returns a new object of class 'Standard Operation'.
      Returns:
        a new object of class 'Standard Operation'.

    - #### createCustomOperation

          CustomOperation createCustomOperation()

      Returns a new object of class 'Custom Operation'.
      Returns:
        a new object of class 'Custom Operation'.

    - #### createValueOrEnumValueOrOperationCollection

          ValueOrEnumValueOrOperationCollection createValueOrEnumValueOrOperationCollection()

      Returns a new object of class 'Value Or Enum Value Or Operation Collection'.
      Returns:
        a new object of class 'Value Or Enum Value Or Operation Collection'.

    - #### createValueOrEnumValueOrOperation

          ValueOrEnumValueOrOperation createValueOrEnumValueOrOperation()

      Returns a new object of class 'Value Or Enum Value Or Operation'.
      Returns:
        a new object of class 'Value Or Enum Value Or Operation'.

    - #### createValue

          Value createValue()

      Returns a new object of class 'Value'.
      Returns:
        a new object of class 'Value'.

    - #### createConstantValue

          ConstantValue createConstantValue()

      Returns a new object of class 'Constant Value'.
      Returns:
        a new object of class 'Constant Value'.

    - #### createStaticValue

          StaticValue createStaticValue()

      Returns a new object of class 'Static Value'.
      Returns:
        a new object of class 'Static Value'.

    - #### createIntegerValue

          IntegerValue createIntegerValue()

      Returns a new object of class 'Integer Value'.
      Returns:
        a new object of class 'Integer Value'.

    - #### createDecimalValue

          DecimalValue createDecimalValue()

      Returns a new object of class 'Decimal Value'.
      Returns:
        a new object of class 'Decimal Value'.

    - #### createStringValue

          StringValue createStringValue()

      Returns a new object of class 'String Value'.
      Returns:
        a new object of class 'String Value'.

    - #### createRegexValue

          RegexValue createRegexValue()

      Returns a new object of class 'Regex Value'.
      Returns:
        a new object of class 'Regex Value'.

    - #### createBooleanValue

          BooleanValue createBooleanValue()

      Returns a new object of class 'Boolean Value'.
      Returns:
        a new object of class 'Boolean Value'.

    - #### createDateValue

          DateValue createDateValue()

      Returns a new object of class 'Date Value'.
      Returns:
        a new object of class 'Date Value'.

    - #### createIsoDateValue

          IsoDateValue createIsoDateValue()

      Returns a new object of class 'Iso Date Value'.
      Returns:
        a new object of class 'Iso Date Value'.

    - #### createEuropeanDateValue

          EuropeanDateValue createEuropeanDateValue()

      Returns a new object of class 'European Date Value'.
      Returns:
        a new object of class 'European Date Value'.

    - #### createUSDateValue

          USDateValue createUSDateValue()

      Returns a new object of class 'US Date Value'.
      Returns:
        a new object of class 'US Date Value'.

    - #### createTimeValue

          TimeValue createTimeValue()

      Returns a new object of class 'Time Value'.
      Returns:
        a new object of class 'Time Value'.

    - #### createIsoTimeValue

          IsoTimeValue createIsoTimeValue()

      Returns a new object of class 'Iso Time Value'.
      Returns:
        a new object of class 'Iso Time Value'.

    - #### createSimple24HrsTimeValue

          Simple24HrsTimeValue createSimple24HrsTimeValue()

      Returns a new object of class 'Simple24 Hrs Time Value'.
      Returns:
        a new object of class 'Simple24 Hrs Time Value'.

    - #### createSimple12HrsTimeValue

          Simple12HrsTimeValue createSimple12HrsTimeValue()

      Returns a new object of class 'Simple12 Hrs Time Value'.
      Returns:
        a new object of class 'Simple12 Hrs Time Value'.

    - #### createDateAndTimeValue

          DateAndTimeValue createDateAndTimeValue()

      Returns a new object of class 'Date And Time Value'.
      Returns:
        a new object of class 'Date And Time Value'.

    - #### createIsoDateAndTimeValue

          IsoDateAndTimeValue createIsoDateAndTimeValue()

      Returns a new object of class 'Iso Date And Time Value'.
      Returns:
        a new object of class 'Iso Date And Time Value'.

    - #### createEuropeanDateAnd24HrsTimeValue

          EuropeanDateAnd24HrsTimeValue createEuropeanDateAnd24HrsTimeValue()

      Returns a new object of class 'European Date And24 Hrs Time Value'.
      Returns:
        a new object of class 'European Date And24 Hrs Time Value'.

    - #### createEuropeanDateAnd12HrsTimeValue

          EuropeanDateAnd12HrsTimeValue createEuropeanDateAnd12HrsTimeValue()

      Returns a new object of class 'European Date And12 Hrs Time Value'.
      Returns:
        a new object of class 'European Date And12 Hrs Time Value'.

    - #### createUSDateAnd12HrsTimeValue

          USDateAnd12HrsTimeValue createUSDateAnd12HrsTimeValue()

      Returns a new object of class 'US Date And12 Hrs Time Value'.
      Returns:
        a new object of class 'US Date And12 Hrs Time Value'.

    - #### createJavaConstantValue

          JavaConstantValue createJavaConstantValue()

      Returns a new object of class 'Java Constant Value'.
      Returns:
        a new object of class 'Java Constant Value'.

    - #### createVariable

          Variable createVariable()

      Returns a new object of class 'Variable'.
      Returns:
        a new object of class 'Variable'.

    - #### createVariableVariable

          VariableVariable createVariableVariable()

      Returns a new object of class 'Variable Variable'.
      Returns:
        a new object of class 'Variable Variable'.

    - #### createConstant

          Constant createConstant()

      Returns a new object of class 'Constant'.
      Returns:
        a new object of class 'Constant'.

    - #### createNullValue

          NullValue createNullValue()

      Returns a new object of class 'Null Value'.
      Returns:
        a new object of class 'Null Value'.

    - #### createInexistentValue

          InexistentValue createInexistentValue()

      Returns a new object of class 'Inexistent Value'.
      Returns:
        a new object of class 'Inexistent Value'.

    - #### createEmptyValue

          EmptyValue createEmptyValue()

      Returns a new object of class 'Empty Value'.
      Returns:
        a new object of class 'Empty Value'.

    - #### createEnumValue

          EnumValue createEnumValue()

      Returns a new object of class 'Enum Value'.
      Returns:
        a new object of class 'Enum Value'.

    - #### createNestedObject

          NestedObject createNestedObject()

      Returns a new object of class 'Nested Object'.
      Returns:
        a new object of class 'Nested Object'.

    - #### createTypedNestedObject

          TypedNestedObject createTypedNestedObject()

      Returns a new object of class 'Typed Nested Object'.
      Returns:
        a new object of class 'Typed Nested Object'.

    - #### createKeyValuePair

          KeyValuePair createKeyValuePair()

      Returns a new object of class 'Key Value Pair'.
      Returns:
        a new object of class 'Key Value Pair'.

    - #### createJavaClassReference

          JavaClassReference createJavaClassReference()

      Returns a new object of class 'Java Class Reference'.
      Returns:
        a new object of class 'Java Class Reference'.

    - #### createMethodReference

          MethodReference createMethodReference()

      Returns a new object of class 'Method Reference'.
      Returns:
        a new object of class 'Method Reference'.

    - #### createJavaConstantReference

          JavaConstantReference createJavaConstantReference()

      Returns a new object of class 'Java Constant Reference'.
      Returns:
        a new object of class 'Java Constant Reference'.

    - #### createExecutionMultiplier

          ExecutionMultiplier createExecutionMultiplier()

      Returns a new object of class 'Execution Multiplier'.
      Returns:
        a new object of class 'Execution Multiplier'.

    - #### createDocumentationComment

          DocumentationComment createDocumentationComment()

      Returns a new object of class 'Documentation Comment'.
      Returns:
        a new object of class 'Documentation Comment'.

    - #### createNull

          Null createNull()

      Returns a new object of class 'Null'.
      Returns:
        a new object of class 'Null'.

    - #### createInexistent

          Inexistent createInexistent()

      Returns a new object of class 'Inexistent'.
      Returns:
        a new object of class 'Inexistent'.

    - #### createEmpty

          Empty createEmpty()

      Returns a new object of class 'Empty'.
      Returns:
        a new object of class 'Empty'.

    - #### getDslPackage

          DslPackage getDslPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.